Bug 163595 - Squid blocks page served by broken server
Squid blocks page served by broken server
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
http://www.topjobs.ch/app/site.exe?Fm...
:
Depends On:
Blocks: 168424 170399
  Show dependency treegraph
 
Reported: 2005-07-19 07:24 EDT by Simon Matter
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0045
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:42:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update spec file which includes backported relaxed_header_parser patch (1.15 KB, patch)
2005-07-19 07:28 EDT, Simon Matter
no flags Details | Diff
squid-2.5.STABLE8-relaxed_header_parser.patch backported to STABLE3 (2.41 KB, patch)
2005-07-19 07:30 EDT, Simon Matter
no flags Details | Diff

  None (edit)
Description Simon Matter 2005-07-19 07:24:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
Recent Squid updates introduced a new stricter handling of HTTP level protocoll errors which results in many broken sites being closed out. While in fact those sites are broken, the squid developers realized that the changes made were too strict and released the relaxed_header_parser patch in squid-2.5.STABLE8 to make things work again in most situations.

Version-Release number of selected component (if applicable):
squid-2.5.STABLE3-6.3E.13

How reproducible:
Always

Steps to Reproduce:
1. check a broken site like http://www.topjobs.ch/app/site.exe?FmAction=CompanyJobs&ClnId=1580
2.
3.
  

Actual Results:  squid reports this in /var/log/squid/cache.log:
2005/07/19 12:43:38| ctx: enter level  0: 'http://www.topjobs.ch/app/site.exe?FmAction=CompanyJobs&ClnId=1580'
2005/07/19 12:43:38| WARNING: unparseable HTTP header field near {HTTP/1.0 200 OK
Content-type: text/html
}
2005/07/19 12:48:18| ctx: exit level  0

Of course, the page does not load in the client browser.

Expected Results:  An error should go to /var/log/squid/cache.log but in this case the page should load fine in the client browser anyway.

Additional info:

I have built my own squid rpm with a backported patch of http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE8-relaxed_header_parser.patch for new. I strongly suggest that this patch is included into the next update.
I'll attach the files.
Comment 1 Simon Matter 2005-07-19 07:28:35 EDT
Created attachment 116923 [details]
Update spec file which includes backported relaxed_header_parser patch
Comment 2 Simon Matter 2005-07-19 07:30:10 EDT
Created attachment 116924 [details]
squid-2.5.STABLE8-relaxed_header_parser.patch backported to STABLE3
Comment 3 Pasi Sjöholm 2005-08-30 05:12:41 EDT
This bug also exists in RHEL 4, so please fix it. =)
Comment 4 Simon Matter 2005-08-30 05:19:14 EDT
You are right, I have also built my own patched RHEL 4 squid package. However, I
really expect this fix in the next official squid rpms.
Comment 5 Martin Stransky 2005-08-30 05:23:13 EDT
It's planned for the next update.
Comment 8 Martin Stransky 2005-11-15 07:26:54 EST
The new release-candidate packages for RHEL3/4 are available here:

http://people.redhat.com/stransky/squid/
Comment 9 Simon Matter 2005-12-06 01:35:24 EST
I have tested the RC2 package and it seems to work fine, thanks.
Comment 13 Red Hat Bugzilla 2006-03-15 10:42:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0045.html

Note You need to log in before you can comment on or make changes to this bug.